% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/helpers.R
\docType{methods}
\name{is.pp}
\alias{InteractionHelpers}
\alias{is.cis}
\alias{is.cis,GInteractions-method}
\alias{is.dd}
\alias{is.dd,GInteractions-method}
\alias{is.dt}
\alias{is.dt,GInteractions-method}
\alias{is.pd}
\alias{is.pd,GInteractions-method}
\alias{is.pp}
\alias{is.pp,GInteractions-method}
\alias{is.pt}
\alias{is.pt,GInteractions-method}
\alias{is.trans}
\alias{is.trans,GInteractions-method}
\alias{is.tt}
\alias{is.tt,GInteractions-method}
\alias{isInteractionType}
\alias{isInteractionType,GInteractions-method}
\title{Interaction Type Helpers}
\usage{
is.pp(GIObject)

is.pd(GIObject)

is.pt(GIObject)

is.dd(GIObject)

is.dt(GIObject)

is.tt(GIObject)

isInteractionType(GIObject, x, y)

is.trans(GIObject)

is.cis(GIObject)

\S4method{is.pp}{GInteractions}(GIObject)

\S4method{is.pd}{GInteractions}(GIObject)

\S4method{is.pt}{GInteractions}(GIObject)

\S4method{is.dd}{GInteractions}(GIObject)

\S4method{is.dt}{GInteractions}(GIObject)

\S4method{is.tt}{GInteractions}(GIObject)

\S4method{isInteractionType}{GInteractions}(GIObject, x, y)

\S4method{is.trans}{GInteractions}(GIObject)

\S4method{is.cis}{GInteractions}(GIObject)
}
\arguments{
\item{GIObject}{A GInteractions object}

\item{x, y}{Names of annotated node classes}
}
\value{
A logical vector
}
\description{
Functions to classify interactions within GInteractions objects.
\itemize{
    \item "isInteractionType" takes two character arguments which are
          annotated node classes and returns interactions between them.
    \item "is.pp", "is.pd" etc. are bindings for common annotations:
    \describe{ \item{p}{promoter}
               \item{d}{distal}
               \item{t}{terminator} }
    \item "is.trans" & "is.cis" select trans-chromosomal and
          intra-chromosomal interactions, respectively }
}
\examples{
data(hic_example_data)
table(is.cis(hic_example_data))
sum(interactionCounts(hic_example_data))

}

